Catalyst 9.4 laat ondersteuning van DX9 kaarten vallen

26 reacties

AMD liet onlangs weten dat het zal stoppen met inbouwen van ondersteuning voor een aantal grafische chips in toekomstige releases van haar Catalyst driver. Vanaf de Catalyst 9.4 versie zullen videokaarten gebaseerd op R300, R400 en R500 chips niet meer ondersteund worden in zowel de Linux als Windows variant van de driver. Dit betekent dat eigenaars van videokaarten uit de AMD Radeon 9000, X300, X600-X800 en X1000 reeks het voortaan zullen moeten stellen met Catalyst 9.3 als laatste driver. Linuxgebruikers kunnen ook overstappen naar een opensource tegenhanger van de Catalyst driver. Naar verluidt zullen de oudere videokaarten nog wel elk kwartaal een WHQL-driver update tegemoet kunnen zien.

amd_catalyst_driver_logo_550

Zoals gezegd zal de Catalyst 9.3 driver, die voor later deze maand gepland staat, AMD's laatste driver zijn die grafische chips vanaf de R300 serie tot en met de huidige GPU's ondersteunt. Daarna zullen enkel chips uit de R600 en R700 reeks (en nog te verschijnen chips) ondersteund gaan worden, dit zijn videokaarten vanaf de Radeon HD2000 serie en nieuwer. De reden hiervoor is dat AMD haar ontwikkelaars zo meer kan laten focussen op de driverondersteuning voor recente en nieuwe videokaarten. Zodoende hoeft minder programmacode onderhouden te worden, waardoor het eenvoudiger zou moeten worden om deze te optimaliseren en stabiele drivers sneller uitgebracht kunnen worden. Tevens bestaat er de mogelijkheid dat nieuwe features sneller in de Catalyst driver geïmplementeerd kunnen worden.

Bronnen: Phoronix, Heise, Site name

« Vorig bericht Volgend bericht »
0
*